.turris-cdrouter: &turris_cdrouter
  needs:
    - job: build test mvebu prpl webui
      optional: true
  extends:
    - .turris-omnia testbed
    - .cdrouter

CDRouter-Top-100+mDNS Turris initramfs:
  <<: *turris_cdrouter
  variables:
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-configure-dyndns.sh

CDRouter-Top-100+mDNS Turris VLAN WAN/LAN initramfs:
  <<: *turris_cdrouter
  variables:
    CDROUTER_TEST_CONFIG: vlan
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-configure-dyndns.sh
      .gitlab/scripts/dut-init/cdrouter-dut-enable-vlans.sh

CDRouter-Top-100+mDNS Turris PPPoE WAN initramfs:
  <<: *turris_cdrouter
  variables:
    CDROUTER_TEST_CONFIG: ppp
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-configure-dyndns.sh
      .gitlab/scripts/dut-init/cdrouter-dut-enable-pppoe.sh

CDRouter-Wireless Turris initramfs:
  <<: *turris_cdrouter
  variables:
    CDROUTER_TEST_CONFIG: wireless
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-configure-wireless.sh


.turris-cdrouter-ipv6: &turris_cdrouter_ipv6
  <<: *turris_cdrouter
  rules:
    - if: '$CI_PIPELINE_SOURCE == "schedule"'
      when: never
    - if: '$TFTP_IMAGE_DOWNLOAD_URL =~ $TFTP_IMAGE_FILENAME_PATTERN'
      when: always
    - if: '$TFTP_IMAGE_DOWNLOAD_URL'
      when: never
    - if: '$CI_COMMIT_BRANCH == $CI_DESIGNATED_BRANCH'
    - when: manual

CDRouter-UPnP-IPv46 Turris initramfs:
  <<: *turris_cdrouter_ipv6
  allow_failure: true
  variables:
    CDROUTER_TEST_CONFIG: generic-ipv6-upnp

CDRouter-IPv6-Top-100+mDNS Turris initramfs:
  <<: *turris_cdrouter_ipv6
  variables:
    CDROUTER_TEST_CONFIG: generic-ipv6

CDRouter-IPv6-Top-100+mDNS Turris VLAN WAN/LAN initramfs:
  <<: *turris_cdrouter_ipv6
  variables:
    CDROUTER_TEST_CONFIG: vlan-ipv6
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-enable-vlans.sh

.CDRouter-IPv6-Top-100+mDNS Turris PPPoE WAN initramfs:
  <<: *turris_cdrouter_ipv6
  variables:
    CDROUTER_TEST_CONFIG: ppp-ipv6
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-dut-enable-pppoe.sh

CDRouter-TR-069 Turris eMMC:
  <<: *turris_cdrouter
  variables:
    LABGRID_TARGET: turris-omnia-emmc
    TFTP_IMAGE_FILENAME: openwrt-mvebu-cortexa9-cznic_turris-omnia-sysupgrade.img.gz
    TFTP_IMAGE_FILENAME_PATTERN: /.*openwrt-mvebu-cortexa9-cznic_turris-omnia-sysupgrade.img.gz/
    TFTP_IMAGE_UNPACK_COMMAND: "gunzip --force $TESTBED_TFTP_PATH/$TFTP_IMAGE_FILENAME || true"
    DUT_INIT_SCRIPTS: |
      .gitlab/scripts/dut-init/cdrouter-tr181-mockups.sh
